<?php
	/*
		暗月挂Q系统核心类


					By:小浩
	*/

	define('Intercept_Get_act',false); //屏蔽对ACT参数的数据拦截
	define('Intercept_Get_Jump_Key',false);
	define ('Intercept_Post_r_sid',false);
	define ('Intercept_Post_sid',false);


	require_once './header.php';

	Class AnQ{

		function __construct(){

		}

		function __destruct(){

		}

		function index_do(){

			global $configure;
			if (eRegi ('www.aygq.cc',$_SERVER['SERVER_NAME'])){
				header('refresh:0;url=http://aygq.cc/');
				exit;
			}


			if (!empty ($_GET['act'])){

				$act = $_GET['act'];

				switch ($act){

					case 'popularize';
						return 'Embed/popularize.php';
					break;

					case 'about';
						return 'Embed/about.php';
					break;

					case 'server';
						return 'Embed/server.php';
					break;

					case 'logout';
						return 'Embed/logout.php';
					break;

					case 'support';
						return 'Embed/support.php';
					break;

					case 'delete';
						return 'Embed/delete.php';
					break;

					case 'top';
						return 'Embed/top.php';
					break;

					case 'url';
						return 'Embed/url.php';
					break;

					case 'wall';
						return 'Embed/wall.php';
					break;

					case 'yl';
						return 'Embed/yl.php';
					break;

					case 'search';
						return 'Embed/search.php';
					break;

					case 'olog';
						return 'Embed/olog.php';
					break;

					case 'AnYueGuaQ_qy';
						return 'Embed/AnYueGuaQ_qy.php';
					break;

					case 'AnYueGuaQ_zt';
						return 'Embed/AnYueGuaQ_zt.php';
					break;

					case 'AnYueGuaQ_qd';
						return 'Embed/AnYueGuaQ_qd.php';
					break;

					case 'AnYueGuaQ_pz';
						return 'Embed/AnYueGuaQ_pz.php';
					break;

					case 'polog';
						return 'Embed/polog.php';
					break;

					case 'my';
						return 'Embed/my.php';
					break;

					case 'myqq';
						return 'Embed/myqq.php';
					break;

					case 'Anumet';
						return 'Source/tool/Anumet/index.php';
					break;

					case 'login';
						return 'Embed/login.php';
					break;

					case 'reg';
						return 'Embed/reg.php';
					break;

					case 'reg_do';
						return 'Embed/reg_do.php';
					break;

					case 'password_get';
						return 'Embed/password_get.php';
					break;

					case 'password_post';
						return 'Embed/password_post.php';
					break;

					case 'batch';
						return 'Embed/batch.php';
					break;

					case 'batch_do';
						return 'Embed/batch_do.php';
					break;

					default;
						return 'Embed/website.php';
					break;
				}

			}else{
				return 'Embed/website.php';
			}

			unset ($configure);
		}

	}